@echo off

set VERSION=SAPFIR 2024

:REPEAT_VER
echo.
echo  Select the version:
echo.
echo    1 - SAPFIR 2022
echo    2 - SAPFIR 2022 (Study Version)
echo    3 - SAPFIR 2024
echo    4 - SAPFIR 2024 (Study Version)
echo.

set value=
set /p value="Enter the required number [1..4]: "

set value=%value:;=%
rem echo value=%value%

if ["%value%"]==[""] (
color F
goto :eof
)
if %value% LSS 1 (
color 4
goto :REPEAT_VER
)
if %value% GTR 4 (
color 4
goto :REPEAT_VER
)

color F

if %value% EQU 1 (
set VERSION=SAPFIR 2022
)
if %value% EQU 2 (
set VERSION=SAPFIR 2022 (Study Version)
)
if %value% EQU 3 (
set VERSION=SAPFIR 2024
)
if %value% EQU 4 (
set VERSION=SAPFIR 2024 (Study Version)
)

color F

echo.
echo You selected %VERSION%

:REPEAT
set value=
echo.
echo.  
set /p value="Enter the required number Contex [1..300]: "

set value=%value:;=%
rem echo value=%value%

if ["%value%"]==[""] (
color 5
goto :eof
)

rem if []==[%value%] (
rem color F
rem goto :eof
rem )

if %value% LSS 1 (
color 4
goto :REPEAT
)
if %value% GTR 300 (
color 4
goto :REPEAT
)

color F
echo.
echo Context value: %value% - OK
echo.

reg add "hkcu\Software\SAPFIR\%VERSION%\Settings" /v dwPixelFormat /t REG_DWORD /d %value% /f

echo.
pause



