@echo off

set VERSION=SAPFIR 2022

color F

:REPEAT
echo.
echo  Select the version:
echo.
echo    1 - SAPFIR 2022
echo    2 - SAPFIR 2022 (Study Version)
echo    3 - SAPFIR 2024
echo    4 - SAPFIR 2024 (Study Version)
echo.

set value=
set /p value="Enter the required number [1..4]: "

set value=%value:;=%
rem echo value=%value%

if ["%value%"]==[""] (
color F
goto :eof
)
if %value% LSS 1 (
color 4
goto :REPEAT
)
if %value% GTR 4 (
color 4
goto :REPEAT
)

color F

if %value% EQU 1 (
set VERSION=SAPFIR 2022
)
if %value% EQU 2 (
set VERSION=SAPFIR 2022 (Study Version)
)
if %value% EQU 3 (
set VERSION=SAPFIR 2024
)
if %value% EQU 4 (
set VERSION=SAPFIR 2024 (Study Version)
)

echo.
echo.
echo Set Auto(default) Context for %VERSION% ...
echo.

reg add "hkcu\Software\SAPFIR\%VERSION%\Settings" /v dwPixelFormat /t REG_DWORD /d 0 /f

echo.
pause



